karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-2734) Karaf service wrapper not working on Raspberry Pi
Date Sat, 25 Jan 2014 17:39:38 GMT

    [ https://issues.apache.org/jira/browse/KARAF-2734?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13881957#comment-13881957
] 

Jean-Baptiste Onofré commented on KARAF-2734:
---------------------------------------------

We have to stay with the Tanuki JSW 3.2.3 because it's the latest one compliant with the Apache
license.

For Windows 8 platform, I recompiled JSW for the target platform. I will check to cross-compile
for ARMv6.

Regarding switching to another service wrapper library, I started some update/evaluation of
Apache commons-daemon. As yajsw is under LGPL license, unfortunately, it's not fully compliant
with the Apache license and so can't be included in Karaf.

> Karaf service wrapper not working on Raspberry Pi
> -------------------------------------------------
>
>                 Key: KARAF-2734
>                 URL: https://issues.apache.org/jira/browse/KARAF-2734
>             Project: Karaf
>          Issue Type: Improvement
>    Affects Versions: 2.3.3
>         Environment: Rasbian Wheezy 3.10
>            Reporter: Stephan Huber
>            Assignee: Jean-Baptiste Onofré
>            Priority: Minor
>              Labels: features, newbie
>   Original Estimate: 48h
>  Remaining Estimate: 48h
>
> Hello,
> I tried to install the Karaf service wrapper on a Raspberry Pi as described on this site
http://karaf.apache.org/manual/latest-2.3.x/users-guide/wrapper.html. There it is said that
it ??should work with any distribution??.
> Unfortunately if I try to execute the created script with _/etc/init.d/KARAF-service_
start I get following error:
> {quote}
>  $ sudo update-rc.d KARAF-service defaults
> update-rc.d: using dependency based boot sequencing
> insserv: warning: script 'K01karaf-service' missing LSB tags and overrides
> insserv: warning: script 'KARAF-service' missing LSB tags and overrides
> insserv: warning: script 'karaf-service' missing LSB tags and overrides
>  $ /etc/init.d/KARAF-service start
> Starting Karaf...
> /home/pi/apache-karaf-2.3.3/bin/KARAF-wrapper: 1: /home/pi/apache-karaf-2.3.3/bin/KARAF-wrapper:
*Syntax error: "(" unexpected*
> {quote}
> If I then change the first line of KARAF-service from  #! / bin / sh to #! / bin / bash
I don't get that error anymore but another one:
> {quote}
>  $ /etc/init.d/KARAF-service start       Starting Karaf...
> /etc/init.d/KARAF-service: line 417: /home/pi/apache-karaf-2.3.3/bin/KARAF-wrapper: cannot
execute binary file
> /etc/init.d/KARAF-service: line 417: /home/pi/apache-karaf-2.3.3/bin/KARAF-wrapper: Success
>  $ /etc/init.d/KARAF-service status
> Karaf is not running.
> {quote}
> My assumption is that the service wrapper is not working, because the Raspberry Pi is
build on an ARM architecture, rather than an intel one, which seems to be not supported.
> Could you please help me fix this issue as it's important for me to be able to run Karaf
as a service.
> Best regards.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message